/* General styling */
:root {
  --smaller: 0.75;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html, body {
  height: 100%;
  margin: 0;
}

body {
  margin: 0;
  align-items: center;
  background-color: #f2f2f2;
  display: flex;
  font-family: Arial, sans-serif;
}

input {
  padding: 10px;
  margin: 5px;
  width: calc(100% - 20px);
  border-radius: 5px;
  border: 1px solid #ccc;
}

.container {
  color: #333;
  margin: 0 auto;
  text-align: center;
  padding-top: 20px;
}

h1 {
  font-weight: bold;
  letter-spacing: 1px;
  text-transform: uppercase;
  color: #333;
}

li {
  display: inline-block;
  font-size: 1.2em;
  list-style-type: none;
  padding: 0.5em 1em;
  text-transform: uppercase;
  background-color: #1E90FF;
  border-radius: 5px;
  margin: 5px;
}

li span {
  display: block;
  font-size: 3.5rem;
  color: #fff;
}

@media all and (max-width: 768px) {
  h1 {
    font-size: calc(1.7rem * var(--smaller));
  }
  li {
    font-size: calc(1.3rem * var(--smaller));
  }
  li span {
    font-size: calc(4rem * var(--smaller));
  }
}

.tombol {
  color: #fff;
  padding: 10px 20px;
  font-size: 1.2em;
  background: #1E90FF;
  cursor: pointer;
  margin: 10px auto;
  width: 150px;
  border: none;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.tombol:hover {
  background-color: #007FFF;
}

#loading {
  width: 100%;
  height: 100%;
  z-index: 999;
  background: rgba(0, 0, 0, 0.5);
  top: 0;
  position: fixed;
  text-align: center;
  color: #fff;
  display: none;
}

.loadingText {
  position: relative;
  top: 70%;
}

.sekolah {
  color: #8B0000;
}

#cpr a {
  color: #1E90FF;
  text-decoration: none;
  font-weight: bold;
}